This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 49740 - Option is given to install GRUB to /boot partition. If taken, we get "Missing Operating System" message after installation
Option is given to install GRUB to /boot partition. If taken, we get "Missin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 12:39 EDT by Bryan Leopard
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 17:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
traceback from anaconda (8.97 KB, text/plain)
2001-07-30 10:52 EDT, Kjartan Maraas
no flags Details

  None (edit)
Description Bryan Leopard 2001-07-23 12:39:51 EDT
HW:

ProLiant DL360
-(2) 933 Mhz PIII processors
-128 MB RAM
-Integrated Array Controller enabled as primary controller with ROC 
firmware version 1.46
-(2) 18.2 GB Ultra2 drives configured as (1) logical RAID 1 volume.

SW:
Red Hat 7.2 - Beta 2

STEPS TAKEN TO ENCOUNTER PROBLEM:

-Perform a "Manual Configuration" of the server using a current version of 
Smart Start.  This will leave a 39 MB system partition at the beginning of 
the boot drive

-Install Red Hat Fairfax - beta 2 from CD

-During the Red Hat installation interview, opt to use Disk Druid to 
partition the boot drive.

-In addition to 39 MB Compaq System partition already on the drive, add a 
50 MB ext3 fs partition, setting the mount point to /boot and configuring 
it as a primary partition

-Then add a 256 MB swap partition, configuring it as a primary partition

-Finally, add an ext3 fs partition that takes up the remainder of the 
drive, configuring it as a primary partition

-At the boot loader configuration menu, an option to install either GRUB 
or LILO is given, and also is the option to install the bootloader to 
either the Master Boot Record or the first sector of the first Linux 
partition, in this case, it would be the partition configured as /boot -
 /dev/ida/c0d0p1

-If GRUB does not support loading from the first sector of the first Linux 
or /boot partition, perhaps some options should be grayed out in this boot 
menu

-Complete the rest of the installation interview and install Red Hat.

-Once installation is complete, a prompt to reboot the system is given.

-Once the system is rebooted, "Missing Operating System" appears on reboot 
after POST completes.
Comment 1 Jeremy Katz 2001-07-25 18:51:58 EDT
Please try again with beta3 when it is released and add information as to
whether or not the fixes applied work for your situation.
Comment 2 Kjartan Maraas 2001-07-30 10:51:36 EDT
I get the following backtrace during post-installation config on a similar
install. I removed all partitions when asked to, went with the defaults for most
of the later options and installed a server (www,samba). HW RAID-1 on the machine.

Comment 3 Kjartan Maraas 2001-07-30 10:52:19 EDT
Created attachment 25391 [details]
traceback from anaconda
Comment 4 Jeremy Katz 2001-08-09 17:15:44 EDT
Kjaartan said this worked for him with beta3, so this should be fine now

Note You need to log in before you can comment on or make changes to this bug.